=== debian/changelog ===
notcurses (2.3.13+dfsg.1-1) unstable; urgency=medium

  * New upstream, fixes in intro, fission, and uniblock demos for small
    geometries. Properly detect pixel geometry in Docker.

 -- Nick Black <dankamongmen@gmail.com>  Wed, 04 Aug 2021 23:41:51 -0400

notcurses (2.3.12+dfsg.1-1) unstable; urgency=medium

  * New upstream 2.3.12 with many bugfixes plus support for Type-1
    DVB subtitles.

 -- Nick Black <dankamongmen@gmail.com>  Thu, 29 Jul 2021 01:01:51 -0400

notcurses (2.3.11+dfsg.1-1) unstable; urgency=medium

  * New upstream 2.3.11

 -- Nick Black <dankamongmen@gmail.com>  Tue, 20 Jul 2021 14:18:26 -0400

notcurses (2.3.8+dfsg.1-1) unstable; urgency=medium

  * New upstream 2.3.8, bugfix release

 -- Nick Black <dankamongmen@gmail.com>  Sun, 04 Jul 2021 01:24:12 -0400

notcurses (2.3.7+dfsg.1-1) unstable; urgency=medium

  * New upstream 2.3.7

 -- Nick Black <dankamongmen@gmail.com>  Tue, 29 Jun 2021 07:13:50 -0400

notcurses (2.3.6+dfsg.1-1) unstable; urgency=medium

  * New upstream 2.3.6, drop all outstanding patches

 -- Nick Black <dankamongmen@gmail.com>  Wed, 23 Jun 2021 22:38:20 -0400

notcurses (2.3.5+dfsg.1-1) unstable; urgency=medium

  * New upstream 2.3.5

 -- Nick Black <dankamongmen@gmail.com>  Wed, 23 Jun 2021 13:35:01 -0400

notcurses (2.3.4+dfsg.1-4) unstable; urgency=medium

  * Mark demotest as flaky until 2.3.5 fixes it.

 -- Nick Black <dankamongmen@gmail.com>  Sat, 19 Jun 2021 00:44:00 -0400

notcurses (2.3.4+dfsg.1-3) unstable; urgency=medium

  * Fix autopkg test to use -m0,2,0,2 instead of -m2, as the
    autopkgtests on the Ubuntu build infrastructure are running
    in 80x24. Thanks Robert Ancell (robert.ancell@ubuntu.com)!

 -- Nick Black <dankamongmen@gmail.com>  Sat, 19 Jun 2021 00:43:55 -0400

notcurses (2.3.4+dfsg.1-2) unstable; urgency=medium

  * Upload to unstable now that freeze is almost upon us.

 -- Nick Black <dankamongmen@gmail.com>  Sun, 13 Jun 2021 17:15:02 -0400

notcurses (2.3.4+dfsg.1-1) experimental; urgency=medium

  * New upstream version, including nctabbed and Kitty bitmaps.
  * New binary 'notcurses-info'

 -- Nick Black <dankamongmen@gmail.com>  Sat, 12 Jun 2021 17:29:36 -0400
