=== debian/changelog ===
notcurses (3.0.6+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Nick Black <dankamongmen@gmail.com>  Wed, 09 Feb 2022 22:40:45 -0500

notcurses (3.0.5+dfsg.1-1) unstable; urgency=medium

  * New upstream, drop all patches.

 -- Nick Black <dankamongmen@gmail.com>  Fri, 21 Jan 2022 12:41:19 -0500

notcurses (3.0.4+dfsg.1-2) unstable; urgency=medium

  * Apply patch consisting of 3.0.5 input material in the never-
    ending quest to resolve the growlight autopkgtests.

 -- Nick Black <dankamongmen@gmail.com>  Sat, 15 Jan 2022 13:52:50 -0500

notcurses (3.0.4+dfsg.1-1) unstable; urgency=medium

  * New upstream version. Drop all patches.

 -- Nick Black <dankamongmen@gmail.com>  Sat, 08 Jan 2022 14:52:47 -0500

notcurses (3.0.3+dfsg.1-3) unstable; urgency=medium

  * Apply patches from upstream causing -DBUILD_FFI_LIBRARY=off to
    actually take effect. (Closes: #1003009) for real this time =\.

 -- Nick Black <dankamongmen@gmail.com>  Sun, 02 Jan 2022 19:39:06 -0500

notcurses (3.0.3+dfsg.1-2) unstable; urgency=medium

  * Supply -DBUILD_FFI_LIBRARY=off (Closes: #1003009).

 -- Nick Black <dankamongmen@gmail.com>  Sun, 02 Jan 2022 18:15:16 -0500

notcurses (3.0.3+dfsg.1-1) unstable; urgency=medium

  * New upstream release. Drop all patches.

 -- Nick Black <dankamongmen@gmail.com>  Sun, 02 Jan 2022 12:33:14 -0500

notcurses (3.0.2+dfsg.1-3) unstable; urgency=medium

  * Apply fix-box-demo.patch from upstream to resolve "demo" autopkgtest.

 -- Nick Black <dankamongmen@gmail.com>  Sun, 26 Dec 2021 00:28:57 -0500

notcurses (3.0.2+dfsg.1-2) unstable; urgency=medium

  * Take demo autopkgtest to loglevel 3 to run down failures.

 -- Nick Black <dankamongmen@gmail.com>  Sat, 25 Dec 2021 19:26:19 -0500

notcurses (3.0.2+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Install new tfman binary.

 -- Nick Black <dankamongmen@gmail.com>  Tue, 21 Dec 2021 09:03:17 -0500

notcurses (3.0.1+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Move to unstable from experimental.

 -- Nick Black <dankamongmen@gmail.com>  Sun, 12 Dec 2021 15:12:44 -0500

notcurses (3.0.0+dfsg.1-1) experimental; urgency=medium

  * New upstream release, new SONAME 3. Rename library packages.
  * Drop zlib1-dev depend, add libdeflate-dev.
  * Drop unnecessary Breaks/Replaces (thanks sramacher!).

 -- Nick Black <dankamongmen@gmail.com>  Wed, 08 Dec 2021 06:51:19 -0500

notcurses (2.4.9+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Nick Black <dankamongmen@gmail.com>  Thu, 11 Nov 2021 08:12:03 -0500

notcurses (2.4.8+dfsg.1-1) unstable; urgency=medium

  * New upstream release, update symbols file.

 -- Nick Black <dankamongmen@gmail.com>  Sat, 23 Oct 2021 06:37:45 -0400

notcurses (2.4.7+dfsg.1-2) unstable; urgency=medium

  * Add ncvisual_blit to symbols.

 -- Nick Black <dankamongmen@gmail.com>  Sun, 17 Oct 2021 16:21:42 -0400

notcurses (2.4.7+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Nick Black <dankamongmen@gmail.com>  Sat, 16 Oct 2021 23:57:28 -0400

notcurses (2.4.5+dfsg.1-1) unstable; urgency=medium

  * New upstream release, update symbols file.
  * ncplane_boundlist() has been removed upstream without a new
    ABI name, but this function was introduced recently, never
    documented, and believed not to have been used externally.

 -- Nick Black <dankamongmen@gmail.com>  Thu, 07 Oct 2021 04:45:05 -0400

notcurses (2.4.4+dfsg.1-3) unstable; urgency=medium

  * New upstream release. Drop libreadline-dev dep.
  * Drop libnotcurses++2 symbols file due to C++ disease (retain others).

 -- Nick Black <dankamongmen@gmail.com>  Sun, 03 Oct 2021 00:42:14 -0400

notcurses (2.4.3+dfsg.1-1) unstable; urgency=medium

  * New upstream release, updated for recent changes to DECSDM semantics in
    XTerm 369 and other terminals.

 -- Nick Black <dankamongmen@gmail.com>  Sun, 26 Sep 2021 12:45:03 -0400

notcurses (2.4.2+dfsg.1-3) unstable; urgency=medium

  * Disable "notcurses-demo" test, which is failing on armhf and not
    yielding any workable logs. We'll want to restore this once we
    figure out what's going on.

 -- Nick Black <dankamongmen@gmail.com>  Sun, 26 Sep 2021 06:51:26 -0400

notcurses (2.4.2+dfsg.1-2) unstable; urgency=medium

  * Update symbol files for libnotcurses-core2

 -- Nick Black <dankamongmen@gmail.com>  Mon, 20 Sep 2021 09:04:25 -0400

notcurses (2.4.2+dfsg.1-1) unstable; urgency=medium

  * New upstream release

 -- Nick Black <dankamongmen@gmail.com>  Mon, 20 Sep 2021 08:11:35 -0400

notcurses (2.4.1+dfsg.1-1) unstable; urgency=medium

  * New upstream version

 -- Nick Black <dankamongmen@gmail.com>  Sun, 12 Sep 2021 22:28:55 -0400

notcurses (2.4.0+dfsg.1-1) unstable; urgency=medium

  * New upstream version

 -- Nick Black <dankamongmen@gmail.com>  Mon, 06 Sep 2021 05:32:31 -0400

notcurses (2.3.18+dfsg.1-1) unstable; urgency=medium

  * Add dep on libgpm-dev and use -DUSE_GPM=on.
  * New upstream version, primarily bugfixes.

 -- Nick Black <dankamongmen@gmail.com>  Tue, 31 Aug 2021 20:09:01 -0400

notcurses (2.3.17+dfsg.1-1) unstable; urgency=medium

  * New upstream version, supporting pixel plots.

 -- Nick Black <dankamongmen@gmail.com>  Sun, 22 Aug 2021 16:13:40 -0400

notcurses (2.3.16+dfsg.1-1) unstable; urgency=medium

  * Policy conformance to 4.6.0. New upstream version fixes
    unit tests in certain rare environments.

 -- Nick Black <dankamongmen@gmail.com>  Thu, 19 Aug 2021 22:18:19 -0400

notcurses (2.3.15+dfsg.1-1) unstable; urgency=medium

  * New upstream with support for Linux framebuffer console.

 -- Nick Black <dankamongmen@gmail.com>  Tue, 17 Aug 2021 19:20:22 -0400

notcurses (2.3.13+dfsg.1-2) unstable; urgency=medium

  * Reenable autopkgtest for notcurses-demo

 -- Nick Black <dankamongmen@gmail.com>  Mon, 16 Aug 2021 00:18:39 -0400
