=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,12 @@
 	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DDFSG_BUILD=on -DUSE_POC=off -DUSE_QRCODEGEN=on
+	dh_auto_configure -- \
+		-DBUILD_FFI_LIBRARY=off \
+		-DDFSG_BUILD=on \
+		-DUSE_GPM=on \
+		-DUSE_POC=off \
+		-DUSE_QRCODEGEN=on
 
 override_dh_auto_build:
 	dh_auto_build
