=== debian/tests/control ===
--- 
+++ 
@@ -3,17 +3,23 @@
 # commands. They'd otherwise fail out, or (worse) not actually test anything.
 
 # Connects to and queries the controlling terminal, dumping info
-Test-Command: TERM=xterm-256color notcurses-info
+Test-Command: TERM=xterm-256color notcurses-info -v
 Depends: notcurses-bin
 Restrictions: allow-stderr
 Features: test-name=info
 
 # Basic unit test suite, but run with installed binary
 # redirect to /dev/null to not overwhelm builder logging
-Test-Command: TERM=xterm-256color notcurses-tester > /dev/null
+Test-Command: TERM=xterm-256color notcurses-tester -l3 > /dev/null
 Depends: notcurses-bin
 Restrictions: allow-stderr
 Features: test-name=unittests
+
+# Execute notcurses-demo with a fixed PRNG seed
+Test-Command: TERM=xterm-256color notcurses-demo -d0 -c -l3
+Depends: notcurses-bin
+Restrictions: allow-stderr
+Features: test-name=demo
 
 # Execute notcurses-pydemo
 Test-Command: TERM=xterm-256color notcurses-pydemo
