## notcurses 3.0.7%2Bdfsg.1

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/architecture.mk
 DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_BUILD_MAINT_OPTIONS=reproducible=+fixfilepath
